/[gentoo-x86]/profiles/package.mask
Gentoo

Contents of /profiles/package.mask

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.14341 - (show annotations) (download)
Wed Jan 2 20:06:13 2013 UTC (15 months, 2 weeks ago) by floppym
Branch: MAIN
Changes since 1.14340: +2 -1 lines
Mention USE_PYTHON and PYTHON_TARGETS in the pypy-1.8 mask.

1 ####################################################################
2 # $Header: /var/cvsroot/gentoo-x86/profiles/package.mask,v 1.14340 2013/01/02 15:40:34 floppym Exp $
3 #
4 # When you add an entry to the top of this file, add your name, the date, and
5 # an explanation of why something is getting masked. Please be extremely
6 # careful not to commit atoms that are not valid, as it can cause large-scale
7 # breakage, especially if it ends up in the daily snapshot.
8 #
9 ## Example:
10 ##
11 ## # Dev E. Loper <developer@gentoo.org> (28 Jun 2012)
12 ## # Masking these versions until we can get the
13 ## # v4l stuff to work properly again
14 ## =media-video/mplayer-0.90_pre5
15 ## =media-video/mplayer-0.90_pre5-r1
16 #
17 # - Best last rites (removal) practices -
18 # Include the following info:
19 # a) reason for masking
20 # b) bug # for the removal (and yes you should have one)
21 # c) date of removal (either the date or "in x days")
22 # d) the word "removal"
23 #
24 ## Example:
25 ##
26 ## Dev E. Loper <developer@gentoo.org> (25 Jan 2012)
27 ## Masked for removal in 30 days. Doesn't work
28 ## with new libfoo. Upstream dead, gtk-1, smells
29 ## funny. (bug #987654)
30 ## app-misc/some-package
31
32 #--- END OF EXAMPLES ---
33
34 # Mike Gilbert <floppym@gentoo.org> (03 Jan 2013)
35 # No longer maintained upstream.
36 # Please upgrade to PyPy 1.9 or 2.0.
37 # Make sure to update USE_PYTHON and PYTHON_TARGETS as well.
38 # Removal in 30 days.
39 dev-python/pypy:1.8
40
41 # Sergei Trofimovich <slyfox@gentoo.org> (01 Jan 2013)
42 # Masked for removal (moved to haskell overlay).
43 # Fails to build (bug #423763). Needs severe code cleanup
44 # for modern ghc.
45 dev-haskell/wash
46
47 # Sergei Trofimovich <slyfox@gentoo.org> (28 Dec 2012)
48 # Masked as needs masked version of wxGTK:2.9:
49 dev-haskell/wxc:2.9
50 dev-haskell/wxcore:2.9
51 dev-haskell/wxhaskell:2.9
52
53 # Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org> (25 Dec 2012)
54 # Does not build against modern kernels or X servers. Users of pre-HD5000
55 # Radeon hardware should use 12.6_beta_pre897 ("12.6 Legacy") instead.
56 =x11-drivers/ati-drivers-12.4
57
58 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
59 # Will be maintained in squeezebox overlay, please switch to it.
60 # See bug #251494. Removal from the tree in a month.
61 media-sound/logitechmediaserver-bin
62
63 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
64 # Doesn't compile with recent kernels (#265581) and is not needed on
65 # them. Removal in a month.
66 net-dialup/misdn
67 net-dialup/misdnuser
68 net-misc/asterisk-chan_misdn
69
70 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
71 # Upstream dead, some problems (#277348), one possible replacement
72 # includes mod_authnz_external. Removal in a month.
73 www-apache/mod_authn_pam
74
75 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
76 # Patrick Lauer <patrick@gentoo.org> (16 Oct 2012)
77 # upstream dead since 2008, doesn't build
78 # See bug #282479. Removal in a month.
79 www-apache/mod_cplusplus
80
81 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
82 # Incompatible with recent kernels (#300047) , upstream dead,
83 # net-dialup/martian-modem can be used instead in most cases.
84 net-dialup/ltmodem
85
86 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
87 # Old SLOT is not maintained by upstream for a long time,
88 # nothing requires it (#311497). Removal in a month.
89 =dev-libs/gmime-2.2.27-r1
90
91 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
92 # Fails to build (#326799), upstream dead. Removal in a month.
93 www-apache/mod_spin
94
95 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
96 # Tests freeze (#343663), upstream dead, could be broken with
97 # some python versions. Removal in a month.
98 www-apache/mod_python
99
100 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
101 # Dead stuff that shouldn't be used and that is required by
102 # nothing (#407697). Removal in a month.
103 dev-dotnet/galago-sharp
104 sys-apps/galago-daemon
105 dev-libs/libgalago
106
107 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
108 # Really old snapshot that is not compatible with apache-2.4,
109 # upstream looks dead (#411465). Removal in a month.
110 www-apache/mod_transform
111
112 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
113 # Upstream dropped them (#435842). Removal in a month.
114 dev-util/monodevelop-java
115 dev-util/monodevelop-python
116 dev-util/monodevelop-vala
117
118 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
119 # As distfiles are no longer provided by upstream and license
120 # doesn't let us mirror them, it will be removed in a month (#444322).
121 app-admin/flexlm
122
123 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
124 # EOL for a long time as Cisco dropped its support in favor of Anyconnect,
125 # it no longer works with current kernels (#444420). Removal in a month.
126 net-misc/cisco-vpnclient-3des
127
128 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
129 # Upstream dead for ages, numerous bubgs, uses old tcl (#445206).
130 # Removal in a month.
131 app-emulation/systemsim-cell
132
133 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
134 # Fails to build, always links statically (#448288). Removal in a month.
135 sys-block/gcloop
136
137 # Pacho Ramos <pacho@gentoo.org> (25 Dec 2012)
138 # Fails to launch (#294013), abandoned, ancient NotEye
139 # replaced it long time ago (#447848). Removal in a month.
140 games-roguelike/noegnud-data
141 games-roguelike/noegnud-nethack
142 games-roguelike/noegnud-slashem
143
144 # Panagiotis Christopoulos <pchrist@gentoo.org> (25 Dec 2012)
145 # mask again these, temporarily, because more testing must be done.
146 =dev-lisp/gentoo-init-1.0
147 =dev-lisp/asdf-2.26
148 =dev-lisp/sbcl-1.1.2
149
150 # Christian Ruppert <idl0r@gentoo.org> (22 Dec 2012)
151 # Experimental
152 =net-proxy/haproxy-1.5*
153
154 # Sven Wegener <swegener@gentoo.org> (21 Dec 2012)
155 # temporary mask for socket location change
156 =app-misc/screen-4.0.3-r8
157
158 # Rick Farina <zerochaos@gentoo.org> (21 Dec 2012)
159 # madwifi has been replaced by ath5k and ath9k in kernel
160 # drivers and is subject to numerous long standing bugs
161 # stable wpa_supplicant sometimes wants madwifi-ng-tools
162 #net-wireless/madwifi-ng-tools
163 net-wireless/madwifi-ng
164
165 # Pawel Hajdan jr <phajdan.jr@gentoo.org> (21 Dec 2012)
166 # Masked for testing to avoid drama like bug #439892 .
167 >=dev-libs/icu-50.1.1
168
169 # Julian Ospald <hasufell@gentoo.org> (20 Dev 2012)
170 # old and subject to removal
171 # version scheme collides with new release
172 =games-roguelike/tomenet-100310
173
174 # Anthony G. Basile <blueness@gentoo.org> (17 Dec 2012)
175 # Masked for removal in 30 days. (17 Jan 2012)
176 # This is provided by USE=xtended webalizer, bug #445226
177 app-admin/webalizer-xtended
178
179 # Sebastien Fabbro <bicatali@gentoo.org> (13 Dec 2012)
180 # Necessary removal to get rid of very unstable sci-libs/lapack-atlas
181 # Packages are in the science overlay
182 # until sci-libs/atlas replacement make it to the main tree
183 sci-astronomy/sextractor
184 sci-astronomy/scamp
185
186 # Justin Lecher <jlec@gentoo.org> (13 Dec 2012)
187 # sci-libs/(lapack/blas)-altas will be removed due to
188 # fragile build and runtime behaviour #372323.
189 # Alternatives are sci-libs/lapack-reference & sci-libs/blas-reference.
190 # Follow up package named sci-libs/atlas can be found in
191 # sci overlay and will be moved once ready for prime time
192 sci-libs/blas-atlas
193 sci-libs/lapack-atlas
194
195 # Michał Górny <mgorny@gentoo.org> (07 Dec 2012)
196 # Experimental version disabling XDM-AUTHENTICATION-1 (in favor
197 # of MIT-MAGIC-COOKIE-1). It should fix bug #306223 but it can also
198 # raise unknown issues. Bug #445662 for more details.
199 =x11-apps/xdm-1.1.11-r2
200
201 # Doug Goldstein <cardoe@gentoo.org> (07 Dec 2012)
202 # Masked for removal in 30 days. (07 Jan 2012)
203 # Upstream says the project is dead and is being replaced
204 app-emulation/qemulator
205
206 # Sergei Trofimovich <slyfox@gentoo.org> (06 Dec 2012)
207 # dev-haskell/time is a core library for ghc-6.12 and upper.
208 # Please, unmerge it from your system and fix the breakage
209 # with haskell-updater.
210 # Masked for removal.
211 dev-haskell/time
212
213 # Alexandre Rostovtsev <tetromino@gentoo.org> (05 Dec 2012)
214 # Masked for removal in 30 days.
215 # Incompatible with recent cogl and clutter versions (bug #435164)
216 mail-client/claws-mail-geolocation
217 <media-libs/libchamplain-0.9
218 <media-libs/clutter-gtk-1.0
219
220 # Sebastian Pipping <sping@gentoo.org> (27 Nov 2012)
221 # Masked for removal in 30 days.
222 # Licensing issues, turned out not distributable (bug #444332)
223 app-admin/profiler
224
225 # Sebastian Pipping <sping@gentoo.org> (27 Nov 2012)
226 # Masked for removal in 30 days.
227 # Server and software development discontinued upstream (bug #438082)
228 app-admin/smolt
229
230 # Tim Harder <radhermit@gentoo.org> (27 Nov 2012)
231 # Masked for testing
232 =media-libs/libsfml-2*
233
234 # Pacho Ramos <pacho@gentoo.org> (24 Nov 2012)
235 # Doesn't build with current kernels (#351225), some work is done
236 # by Ubuntu users but a lot of mantainance work is still needed
237 # and nobody will take care of it now (#351225#c7).
238 # Looks like a proxy maintainer is working on this...
239 net-dialup/hsfmodem
240
241 # Richard Freeman <rich0@gentoo.org> (24 Nov 2012)
242 # Live ebuild.
243 =app-misc/sleepyhead-9999
244
245 # Richard Freeman <rich0@gentoo.org> (22 Nov 2012)
246 # Masked until plugins are updated to 0.26, but works
247 # for anyone not using plugins.
248 >=media-tv/mythtv-0.26
249
250 # Robin H. Johnson <robbat2@gentoo.org> (18 Nov 2012)
251 # Dead upstream, replaced by gitolite
252 dev-vcs/gitosis
253 dev-vcs/gitosis-gentoo
254
255 # Ole Markus With <olemarkus@gentoo.org> (15 Nov 2012)
256 # Masked for testing
257 >=dev-lang/php-5.4.9999
258
259 # Diego Elio Pettenò <flameeyes@gentoo.org> (14 Nov 2012)
260 # Masked for testing as too many packages fail.
261 # See bug #443230 for tracking the progress
262 =media-video/libav-9_beta*
263 =media-video/libav-9*
264
265 # Pawel Hajdan jr <phajdan.jr@gentoo.org> (09 Nov 2012)
266 # Masked for testing, bug #438756.
267 >=net-libs/libsrtp-1.4.4_p20121108
268
269 # Pawel Hajdan jr <phajdan.jr@gentoo.org> (08 Nov 2012)
270 # Dev channel releases are only for people who are developers or want more
271 # experimental features and accept a more unstable release.
272 >=www-client/chromium-25
273 >=www-client/google-chrome-25
274
275 # Pawel Hajdan jr <phajdan.jr@gentoo.org> (08 Nov 2012)
276 # Mask v8 versions used for www-client/chromium dev channel releases.
277 >=dev-lang/v8-3.15
278
279 # Joerg Bornkessel <hd_brummy@gentoo.org> (04 Nov 2012)
280 # masked for testing, bug #422605
281 =media-plugins/vdr-softdevice-0.5.0.20110417
282
283 # Markos Chandras <hwoarang@gentoo.org> (04 Nov 2012)
284 # Masked for testing
285 =media-video/avidemux-2.6*
286
287 # Markos Chandras <hwoarang@gentoo.org> (03 Nov 2012)
288 # Masked for testing
289 app-benchmarks/ltp
290
291 # Ulrich Müller <ulm@gentoo.org> (02 Nov 2012)
292 # Emacs live ebuilds. Use at your own risk.
293 ~app-editors/emacs-vcs-24.2.9999
294 ~app-editors/emacs-vcs-24.3.9999
295
296 # Alexis Ballier <aballier@gentoo.org> (1 Nov 2012)
297 # Still requires ocaml-3, mask it until it is ported. If this does not happen in
298 # the near future, we should consider removing it.
299 dev-ml/ocamlduce
300
301 # Diego Elio Pettenò <flameeyes@gentoo.org> (1 Nov 2012)
302 # See tracker bug #440342. Will probably require GNOME 3.6 to be
303 # unmasked first.
304 =dev-libs/libtasn1-3*
305
306 # Sébastien Fabbro <bicatali@gentoo.org> (31 Oct 2012)
307 # live ebuild
308 =sys-fs/redirfs-9999
309
310 # Ben de Groot <yngwin@gentoo.org> (29 Oct 2012)
311 # Fails compilation on missing sqlite header - unbundle patch needs updating
312 =net-news/quiterss-0.10.3
313
314 # Doug Goldstein <cardoe@gentoo.org> (28 Oct 2012)
315 # Do not use this ebuild. Stop trying to use it.
316 =app-emulation/qemu-1.2.0
317
318 # Gilles Dartiguelongue <eva@gentoo.org> (25 Oct 2012)
319 # Too broken to be used but adding for testing purpose
320 =media-sound/rhythmbox-2.98
321
322 # Pacho Ramos <pacho@gentoo.org> (25 Oct 2012)
323 # obexd changed its API without any warning, it's recommended to ship
324 # 0.46 until https://bugzilla.gnome.org/682106 is fixed to prevent
325 # bluetooth-sendto breakage.
326 >=app-mobilephone/obexd-0.47
327
328 # Eray Aslan <eras@gentoo.org> (24 Oct 2012)
329 # Mask experimental software
330 =mail-client/squirrelmail-1.4.23*
331
332 # Sergey Popov <pinkbyte@gentoo.org> (22 Oct 2012)
333 # Mask net-misc/libteam snapshot ebuilds until release
334 net-misc/libteam
335
336 # Michael Palimaka <kensington@gentoo.org> (19 Oct 2012)
337 # New major release breaks almost all existing consumers.
338 # Masked until each package can update its dependencies.
339 >=net-libs/libotr-4.0.0
340 >=x11-plugins/pidgin-otr-4.0.0
341
342 # Tim Harder <radhermit@gentoo.org> (15 Oct 2012)
343 # Mask development releases
344 =media-libs/libraw-0.15*
345
346 # Robin H. Johnson <robbat2@gentoo.org> (08 Oct 2012)
347 # Masked for testing
348 =sys-libs/db-5.3*
349 =sys-libs/db-5.2*
350 =sys-libs/db-5.1*
351 =sys-libs/db-5.0*
352
353 # Eray Aslan <eras@gentoo.org> (07 Oct 2012)
354 # Dead upstream. Use mail-client/alpine instead. Bug #371593
355 # Removal when bugs it depends on are fixed
356 mail-client/pine
357
358 # Richard Yao <ryao@gentoo.org> (06 Oct 2012)
359 # sys-apps/grep-2.13 falsely reports some files as binary, causing build
360 # failures. Bug #425668
361 =sys-apps/grep-2.13
362
363 # Tim Harder <radhermit@gentoo.org> (01 Sep 2012)
364 # Mask development releases
365 =media-sound/lilypond-2.17*
366
367 # Markos Chandras <hwoarang@gentoo.org> (17 August 2012)
368 # Masked for testing. Required by dev-lang/jimctl-0.73
369 =dev-embedded/openocd-0.6.1
370
371 # Benedikt Böhm <hollow@gentoo.org> (11 Aug 2012)
372 # Regression in iproute code, does not detect IP addresses correctly anymore.
373 ~dev-ruby/ohai-6.14.0
374
375 # Jeroen Roovers <jer@gentoo.org> (2 Aug 2012)
376 # Development version
377 >app-admin/sysstat-10.1
378
379 # Ralph Sennhauser <sera@gentoo.org> (18 Jul 2012)
380 # Unmaintained, multiple vulnarabilities. #351626
381 # A more recent source build maintained by the community is available in the
382 # seden overlay. A more recent binary is available in the java-overlay.
383 <=dev-util/eclipse-sdk-3.5.1-r1
384
385 # Michael Weber <xmw@gentoo.org> (07 Jul 2012)
386 # Masked for testing only beta (bug 424866)
387 =sci-electronics/eagle-6.2.1_beta
388
389 # Michael Weber <xmw@gentoo.org> (29 Jun 2012)
390 # Masking for security reasons (bug 424025, CVE-2012-3366)
391 # Users of trigger plugin, update asap.
392 <app-admin/bcfg2-1.2.2-r1
393
394 # Andreas K. Huettel <dilfridge@gentoo.org> (25 Jun 2012)
395 # Mask live ebuild
396 =net-print/cups-9999
397
398 # Maxim Koltsov <maksbotan@gentoo.org> (21 Jun 2012)
399 # It's not what it's called now, mask it not protect people
400 =dev-util/febootstrap-3*
401
402 # Ian Stakenvicius <axs@gentoo.org> (19 Jun 2012)
403 # Mask new spidermonkey until rdeps can accept it
404 ~dev-lang/spidermonkey-1.8.7
405
406 # Michael Weber <xmw@gentoo.org> (13 Jun 2012)
407 # Mask beta versions for testing
408 >sci-electronics/magic-8
409 >sci-electronics/xcircuit-3.8
410
411 # Justin Lecher <jlec@gentoo.org> (13 Jun 2012)
412 # Justin Lecher <jlec@gentoo.org> (01 Nov 2012)
413 # Mask old version numbers
414 # Shows newest unstable to users easily
415 >=sci-biology/ncbi-tools-20080302
416 >=sci-chemistry/dssp-070831
417 >=sci-biology/ncbi-tools++-2010.06.15
418
419 # Patrick Lauer <patrick@gentoo.org> (06 Jun 2012)
420 # Temporarily mask nginx >=1.3 see #411937
421 >=www-servers/nginx-1.3
422
423 # Markos Chandras <hwoarang@getnoo.org> (27 May 2012)
424 # Mask alpha release
425 =sci-electronics/qelectrotech-0.30_alpha*
426
427 # Alexis Ballier <aballier@gentoo.org> (26 May 2012)
428 # API/ABI has changed with this release.
429 # Mask until the tree is fine.
430 # https://bugs.gentoo.org/show_bug.cgi?id=417677
431 >=media-video/ffmpeg-0.11
432
433 # Benda Xu <heroxbd@gentoo.org> (20 May 2012)
434 # geant-4.9.5_p01 has a major class declaration change that renders
435 # geant-python (g4py upstream) unable to compile
436 # upstream bug http://bugzilla-geant4.kek.jp/show_bug.cgi?id=1317
437 =sci-physics/geant-python-4.9.5_p01
438
439 # Alexandre Rostovtsev <tetromino@gentoo.org> (20 May 2012)
440 # Requires dev-scheme/guile-2.0.5 which is in lisp overlay and masked;
441 # bug #416683
442 >=games-board/aisleriot-3.3.1
443
444 # Ultrabug <ultrabug@gentoo.org> (16 May 2012)
445 # Masked for testing
446 >=sys-cluster/corosync-2.0.0
447
448 # Alistair Bush <ali_bush@gentoo.org> (10 May 2012)
449 # Mask alpha version of mono for testing
450 >=dev-lang/mono-2.11.1
451 >=dev-lang/mono-tools-2.11
452 >=virtual/monodoc-2.11
453
454 # Johannes Huber <johu@gentoo.org> (03 May 2012)
455 # Unstable dev channel release. Fixes build with gcc47
456 # (bug #413941).
457 >=media-sound/mp3diags-1.1
458
459 # Robin H. Johnson <robbat2@gentoo.org> (09 Feb 2012)
460 # Needs to be slotted better
461 =dev-libs/yaz-4*
462
463 # Maxim Koltsov <maksbotan@gentoo.org> (19 Apr 2012)
464 # Broken, masking by maintainer's request
465 net-ftp/leechcraft-lcftp
466 net-p2p/leechcraft-eiskaltdcpp
467
468 # Jeroen Roovers <jer@gentoo.org> (04 Apr 2012)
469 # Alpha versions of dev-libs/libevent are considered unstable
470 >dev-libs/libevent-2.1
471
472 # Andreas K. Huettel <dilfridge@gentoo.org> (22 Mar 2012)
473 # Even its author admits that it's an ugly hack. Crashes e.g.
474 # firefox with kde-4.8. Unmask at your own risk.
475 kde-misc/kgtk
476
477 # Samuli Suominen <ssuominen@gentoo.org> (06 Mar 2012)
478 # Masked for testing since this is known to break nearly
479 # every reverse dependency wrt bug 407091
480 >=dev-lang/lua-5.2.0
481
482 # Sébastien Fabbro <bicatali@gentoo.org> (26 Feb 2012)
483 # Needs development version x11-libs/wxGTK
484 >=sci-visualization/fityk-1.1
485
486 # Michał Górny <mgorny@gentoo.org> (21 Jan 2012)
487 # Blocks sysvinit yet doesn't provide all tools provided by it.
488 # Masking until we get the necessary tools out of sysvinit.
489 sys-apps/systemd-sysv-utils
490
491 # Eray Aslan <eras@gentoo.org> (19 Jan 2012)
492 # Mask experimental software
493 =mail-mta/postfix-2.10*
494
495 # Jeroen Roovers <jer@gentoo.org> (27 Mar 2012)
496 # Opera Next and Opera snapshots are unsupported and eternally unstable.
497 # <http://my.opera.com/desktopteam/blog>
498 www-client/opera-next
499
500 # Ulrich Mueller <ulm@gentoo.org> (13 Dec 2011)
501 # SLOTs 21 and 22 of app-editors/emacs, corresponding to
502 # GNU Emacs versions 21.4 and 22.3. These versions were
503 # released in February 2005 and September 2008, respectively.
504 # Please upgrade to >=app-editors/emacs-23 and update your
505 # Emacs Lisp packages with emacs-updater.
506 # Keeping these versions in the tree masked indefinitely,
507 # by popular request. Bug 394589.
508 =app-editors/emacs-21*
509 =app-editors/emacs-22*
510 <virtual/emacs-23
511
512 # Christoph Junghans <ottxor@gentoo.org> (15 Nov 2011)
513 # current version of google-talkplugin never clear what you get
514 =www-plugins/google-talkplugin-9999
515
516 # Diego E. Pettenò <flameeyes@gentoo.org> (30 Oct 2011)
517 # Working on more reliable versioning, consider experimental for now.
518 >=dev-lang/luajit-2.0.0_beta8
519
520 # Samuli Suominen <ssuominen@gentoo.org> (30 Oct 2011)
521 # Masked for security bug #294253, use only at your own risk!
522 =media-libs/fmod-3*
523 games-puzzle/candycrisis
524 games-simulation/stoned-bin
525 games-sports/racer-bin
526 games-strategy/dark-oberon
527 games-strategy/savage-bin
528
529 # MATSUU Takuto <matsuu@gentoo.org> (27 Oct 2011)
530 # Mask for testing
531 >=sys-devel/distcc-3.2_rc1
532
533 # Justin Bronder <jsbronder@gentoo.org> (27 Sep 2011)
534 # Masking the torque 2.3 series due to bug #372959. This allows
535 # sites that are ok with the vulnerability but prefer the stability
536 # of 2.3.x to continue to get updates (if any).
537 <sys-cluster/torque-2.4
538 dev-perl/perl-PBS
539
540 # Joerg Bornkessel <hd_brummy@gentoo.org> (17 Sep 2011)
541 # media-video/vdr-xvdr-9999, masked git live ebuild
542 =media-plugins/vdr-xvdr-9999
543
544 # Alexis Ballier <aballier@gentoo.org> (20 Aug 2011)
545 # dev-tex/pdftex-1.40.11 is 100% identical to the one in TeX Live 2010;
546 # TeX Live 2011 has a newer version, which makes the standalone package useless;
547 # mask it for now, we'll see about removing it later.
548 dev-tex/pdftex
549
550 # Robin H. Johnson <robbat2@gentoo.org> (01 Nov 2012)
551 # Update of mask to 5.6 instead of 5.5
552 # Jorge Manuel B. S. Vicetto <jmbsvicetto@gentoo.org> (28 Jul 2011)
553 # A new update of the mysql / mariadb mask
554 # Robin H. Johnson <robbat2@gentoo.org> (01 Feb 2010)
555 # Mask 5.6/6.0 series that are alpha and and crazy experimental.
556 # Mask 5.2/5.3 virtual that exists in the overlay as well (it is MariaDB only)
557 >=dev-db/mariadb-5.6
558 >=dev-db/mysql-5.6
559 >=virtual/mysql-5.6
560 =dev-db/mariadb-5.2*
561 =virtual/mysql-5.2*
562 =dev-db/mariadb-5.3*
563 =virtual/mysql-5.3*
564
565 # Peter Volkov <pva@gentoo.org> (23 Jul 2011)
566 # Mask release candidates
567 =dev-libs/guiloader-2.99.0
568 =dev-libs/guiloader-c++-2.99.0
569 =dev-util/crow-designer-2.99.0
570
571 # Jorge Manuel B. S. Vicetto <jmbsvicetto@gentoo.org> (15 July 2011)
572 # Masking mariadb-5.1.55 until we have feedback about the unit tests
573 # as they build for me but fail for Robin
574 ~dev-db/mariadb-5.1.55
575
576 # Justin Lecher <jlec@gentoo.org> (27 Jun 2011)
577 # Only avalable version isn't in the tree.
578 # Mask until it is bumped
579 sci-chemistry/webmo
580
581 # Torsten Veller <tove@gentoo.org> (18 Jun 2011)
582 # Mask perl-5.14. See tracker bug #356171
583 =dev-lang/perl-5.14*
584
585 # Hans de Graaff <graaff@gentoo.org> (15 May 2011)
586 # Mask new versions until thread-related crashes have been fixed.
587 # See bug 367423.
588 =dev-lang/ruby-enterprise-1.8.7.2011.03
589 =dev-lang/ruby-enterprise-1.8.7.2012.02
590
591 # Alexis Ballier <aballier@gentoo.org> (20 Apr 2011)
592 # Tiziano Müller <dev-zero@gentoo.org> (11 Aug 2010)
593 # Breaks net-voip/sflphone, non maintainer update, but is needed by
594 # media-video/ffmpeg
595 >=media-libs/celt-0.8.1
596
597 # Marijn Schouten <hkBst@gentoo.org> (07 April 2011)
598 # Masked for number of issues, but can be used to
599 # test against if people are impatient ;P
600 # Known issues:
601 # - Broken emacs support (ulm has promised to look)
602 # - doesn't build when boehm-gc is built without threads
603 # - no SLOTting yet!
604 =dev-scheme/guile-2.0.0
605
606 # Ryan Hill <dirtyepic@gentoo.org> (02 Apr 2011)
607 # Masked for testing
608 >=sys-devel/gcc-4.7.0
609
610 # Christian Faulhammer <fauli@gentoo.org> (12 Mar 2011)
611 # Mask for testing
612 >=www-apps/joomla-1.6.0
613
614 # Ryan Hill <dirtyepic@gentoo.org> (30 Mar 2011)
615 # Masked indefinitely (until 0.40 is released).
616 # http://bugs.gentoo.org/354423
617 >=app-pda/libopensync-0.30
618 >=app-pda/libopensync-plugin-file-0.30
619 >=app-pda/libopensync-plugin-irmc-0.30
620 >=app-pda/libopensync-plugin-palm-0.30
621 >=app-pda/libopensync-plugin-python-0.30
622 app-pda/libopensync-plugin-syncml
623 app-pda/libopensync-plugin-vformat
624 app-pda/osynctool
625
626 # Ryan Hill <dirtyepic@gentoo.org> (30 Mar 2011)
627 # Work in progress
628 # http://bugs.gentoo.org/show_bug.cgi?id=354423
629 app-pda/libopensync-plugin-evolution2
630 app-pda/libopensync-plugin-gnokii
631 app-pda/libopensync-plugin-gpe
632 app-pda/multisync-gui
633
634 # Ryan Hill <dirtyepic@gentoo.org> (22 Jan 2011)
635 # Mask development versions due to unstable API
636 # as requested by leio
637 >=dev-python/wxpython-2.9
638 >=x11-libs/wxGTK-2.9
639
640 # Michael Sterrett <mr_bones_@gentoo.org> (20 Jan 2010)
641 # testing mask for upcoming exult release
642 >=games-engines/exult-1.3
643
644 # Torsten Veller <tove@gentoo.org> (06 Jan 2011)
645 # Next step to remove old perl and libperl versions.
646 # Versions prior 5.12 are masked and will be removed when 5.14 is available.
647 # If you are a sparc-fbsd user and your only keyworded perl version was masked,
648 # test perl-5.12.2 and reply to bug 288028
649 # For other complaints go to bug 350785
650 <dev-lang/perl-5.12.2
651 <sys-devel/libperl-5.10.1
652
653 # Gilles Dartiguelongue <eva@gentoo.org> (07 Dec 2010)
654 # Part of GNOME 2.32 release set by breaks my machine as hell
655 # Needs more testing before unleashing
656 >=gnome-base/libbonobo-2.32
657
658 # Markos Chandras <hwoarang@gentoo.org> (01 Nov 2010)
659 # Masking alpha releases
660 net-analyzer/ncrack
661
662 # Peter Volkov <pva@gentoo.org> (29 Oct 2010)
663 # mask beta release
664 =net-analyzer/tcpreplay-3.4.5*
665
666 # Markos Chandras <hwoarang@gentoo.org> (26 Oct 2010)
667 # master branch is heavily broken at the moment. Use
668 # 2.0.9999 instead if you want a kmess
669 # that actually builds
670 =net-im/kmess-9999
671
672 # Luca Barbato <lu_zero@gentoo.org> (21 Jul 2010)
673 # Not ready for public consumption, clashes with current mesa-git
674 media-libs/shivavg
675
676 # Stefan Briesenick <sbriesen@gentoo.org> (21 Jul 2010)
677 # doesn't compile against latest media-libs/spandsp.
678 # not needed anymore for Asterisk 1.6.
679 net-misc/asterisk-spandsp_codec_g726
680
681 # Doug Goldstein <cardoe@gentoo.org> (07 Jul 2010)
682 # No actual Gentoo support yet. If you're interested, please see bug #295993
683 net-misc/netcf
684
685 # Justin Lecher <jlec@gentoo.org> (16 Jun 10)
686 # Just working with the masked experimental version of refmac
687 >=sci-libs/monomer-db-5.16
688
689 # Robin H. Johnson <robbat2@gentoo.org> (09 Jun 2010)
690 # Fails to self-verify/sign in FIPS mode, pending upstream response before
691 # usage for GSoC project.
692 app-crypt/hmaccalc
693
694 # Luca Barbato <lu_zero@gentoo.org> (21 May 2010)
695 # development release
696 =dev-db/mongodb-1.5*
697
698 # Justin Lecher <jlec@gentoo.org> (16 May 2010)
699 # Upstreams testing version
700 # Added on request
701 >=sci-chemistry/refmac-5.6
702
703 # Patrick Lauer <patrick@gentoo.org> (07 Apr 2010)
704 # Keeping samba-4 masked until release.
705 >net-fs/samba-4
706
707 # Mike Frysinger <vapier@gentoo.org> (07 Mar 2010)
708 # Very old packages that people should have upgraded away from
709 # long ago. Courtesy mask ... time to upgrade.
710 # Added <sys-fs/e2fsprogs as well (halcy0n)
711 <sys-libs/e2fsprogs-libs-1.41.8
712 <sys-fs/e2fsprogs-1.41.9
713
714 # Robert Piasek <dagger@gentoo.org> (23 Feb 2010)
715 # Masking libmapi as it depends on masked samba4
716 >=net-libs/libmapi-0.9
717
718 # Christian Parpart <trapni@gentoo.org> (23 Dec 2009)
719 # Masked for testing/feedback.
720 media-sound/teamspeak-server-bin
721
722 # Joerg Bornkessel <hd_brummy@gentoo.org> (02 Dec 2009)
723 # cvs ebuild vdr-xineliboutput-9999 masked for lifetime
724 =media-plugins/vdr-xineliboutput-9999
725
726 # Peter Alfredsen <loki_val@gentoo.org> (21 Oct 2009)
727 # Masked because this needs a patch to be applied to portage
728 # to not install the kitchensink and everything else
729 # into /usr/src/debug with FEATURES=installsources
730 =dev-util/debugedit-4.4.6-r2
731
732 # Diego E. Pettenò <flameeyes@gmail.com> (09 Oct 2009)
733 # Untested yet; documented only in Russian, help is appreciated.
734 sys-auth/pam_keystore
735
736 # Diego E. Pettenò <flameeyes@gentoo.org> (08 Aug 2009)
737 # on behalf of QA Team
738 #
739 # Mass-masking of live ebuilds; we cannot guarantee working state of
740 # live ebuilds, nor the availability of the server hosting them. As
741 # per QA team policy, all these need to be kept masked by default, if
742 # available in the tree.
743 ~app-i18n/skk-jisyo-9999
744 net-misc/netcomics-cvs
745 app-portage/layman-dbtools
746 sci-astronomy/casa-data
747 # rdep on the one above
748 sci-astronomy/casacore
749 sci-electronics/kicad
750 dev-ruby/rcsparse
751 # rdep on the one above
752 dev-vcs/fromcvs
753 sci-biology/picard
754 ~dev-libs/libg15-9999
755
756 # Federico Ferri <mescalinum@gentoo.org> (08 Aug 2009)
757 # Doesn't build with Tcl 8.5, has several bugs open
758 =dev-tcltk/tcl-debug-2.0
759
760 # Marijn Schouten <hkBst@gentoo.org> (29 Jul 2009)
761 # Masked for increasingly many problems. Upstream is flaky and hasn't released since 2005.
762 # Maxima is the only consumer and can be built with sbcl or clisp.
763 # Hopefully upstream will do a release that we can add to revive this package.
764 dev-lisp/gcl
765
766 # Jeremy Olexa <darkside@gentoo.org> (28 Jul 2009)
767 # On behalf of Robin H. Johnson <robbat2@gentoo.org>.
768 # These versions are vulnerable to GLSA's and should not be used. They will stay
769 # in the tree because they are useful to tracking down bugs. You have been
770 # warned. bug 271686
771 <dev-db/mysql-5.1.56
772 <virtual/mysql-5.1
773
774 # Nirbheek Chauhan <nirbheek@gentoo.org> (10 Jun 2009)
775 # Several feature regressions that will make our users
776 # go on a witchhunt if unmasked
777 # * No XDMCP connection UI
778 # * No configuration/theming support
779 # * No support for auth backends other than PAM
780 # * Many more...
781 =gnome-base/gdm-2.3*
782
783 # Tiziano Müller <dev-zero@gentoo.org> (08 Apr 2009)
784 # pre-releases
785 net-libs/libinfinity
786 >=app-editors/gobby-0.4.91
787
788 # Paul Varner <fuzzyray@gentoo.org> (06 Apr 2009)
789 # Dead upstream and has issues with newer portages.
790 # Due to popular demand and no suitable replacement, it will stay in the tree
791 # in a masked status until it completely breaks or is replaced.
792 app-portage/udept
793
794 # Diego E. Pettenò <flameeyes@gentoo.org> (03 Jan 2009)
795 # These packages are not supposed to be merged directly, instead
796 # please use sys-devel/crossdev to install them.
797 dev-libs/cygwin
798 dev-util/mingw-runtime
799 dev-util/mingw64-runtime
800 dev-util/w32api
801 sys-libs/newlib
802 dev-embedded/msp430-binutils
803 dev-embedded/msp430-gcc
804 dev-embedded/msp430-gdb
805 dev-embedded/msp430-libc
806 dev-embedded/msp430mcu
807 dev-embedded/avr-libc
808
809 # Peter Volkov <pva@gentoo.org> (16 Nov 2008)
810 # The development branch, to be unmasked when out of beta by upstream.
811 =net-misc/socat-2.0.0*
812
813 # Steve Dibb <beandog@gentoo.org> (05 Nov 2008)
814 # Mask realplayer codecs for security bug 245662
815 # http://forums.gentoo.org/viewtopic-t-713051.html
816 media-libs/amd64codecs
817 media-libs/realcodecs
818
819 # Doug Goldstein <cardoe@gentoo.org> (17 Sep 2008)
820 # under development
821 gnome-extra/gnome-lirc-properties
822
823 # Markus Ullmann <jokey@gentoo.org> (07 Jul 2008)
824 # mask for security bug #190667 (CVE-2007-{4584,5839})
825 #
826 # both CVEs are fixed in upstream version control as per:
827 # http://bitchx.svn.sourceforge.net/svnroot/bitchx/trunk/Changelog
828 ~net-irc/bitchx-1.1
829
830 # Vlastimil Babka <caster@gentoo.org> (20 May 2008)
831 # Masked for testing
832 app-arch/rpm5
833
834 # Chris Gianelloni <wolf31o2@gentoo.org> (03 Mar 2008)
835 # Masking due to security bug #194607 and security bug #204067
836 games-fps/doom3
837 games-fps/doom3-cdoom
838 games-fps/doom3-chextrek
839 games-fps/doom3-data
840 games-fps/doom3-demo
841 games-fps/doom3-ducttape
842 games-fps/doom3-eventhorizon
843 games-fps/doom3-hellcampaign
844 games-fps/doom3-inhell
845 games-fps/doom3-lms
846 games-fps/doom3-mitm
847 games-fps/doom3-phantasm
848 games-fps/doom3-roe
849 games-fps/quake4-bin
850 games-fps/quake4-data
851 games-fps/quake4-demo
852
853 # Piotr Jaroszyński <peper@gentoo.org> (26 Nov 2007)
854 # opensync live ebuilds
855 =app-pda/libsyncml-9999
856 =app-pda/libopensync-9999
857 =app-pda/osynctool-9999
858 =app-pda/libopensync-plugin-evolution2-9999
859 =app-pda/libopensync-plugin-file-9999
860 =app-pda/libopensync-plugin-gnokii-9999
861 =app-pda/libopensync-plugin-gpe-9999
862 =app-pda/libopensync-plugin-irmc-9999
863 =app-pda/libopensync-plugin-palm-9999
864 =app-pda/libopensync-plugin-python-9999
865 =app-pda/libopensync-plugin-syncml-9999
866 =app-pda/libopensync-plugin-vformat-9999
867
868 # MATSUU Takuto <matsuu@gentoo.org> (05 Apr 2007)
869 # to be tested, seems unstable
870 >=app-i18n/scim-anthy-1.3.0
871
872 # Tavis Ormandy <taviso@gentoo.org> (21 Mar 2006)
873 # masked pending unresolved security issues #127167
874 games-roguelike/slashem
875
876 # Tavis Ormandy <taviso@gentoo.org> (21 Mar 2006)
877 # masked pending unresolved security issues #125902
878 games-roguelike/nethack
879 games-util/hearse
880
881 # Robin H. Johnson <robbat2@gentoo.org> (11 Feb 2006)
882 # zlib interaction is badly broken. See bug #124733.
883 =dev-vcs/cvs-1.12.13*
884
885 # <klieber@gentoo.org> (01 Apr 2004)
886 # The following packages contain a remotely-exploitable
887 # security vulnerability and have been hard masked accordingly.
888 #
889 # Please see http://bugs.gentoo.org/show_bug.cgi?id=44351 for more info
890 #
891 games-fps/unreal-tournament-goty
892 games-fps/unreal-tournament-strikeforce
893 games-fps/unreal-tournament-bonuspacks
894 games-fps/aaut

  ViewVC Help
Powered by ViewVC 1.1.20